Subject: Re: bug#26742: Display bug with composed strings

From: Clément Pit--Claudel <[email-masked]>
Date: Tue, 2 May 2017 13:22:19 -0400

On 2017-05-02 12:46, Eli Zaretskii wrote:
>> Cc: [email-masked] From: Clément Pit--Claudel
>> <[email-masked]> Date: Tue, 2 May 2017 11:40:08 -0400
>> 
>> On 2017-05-02 04:15, Eli Zaretskii wrote:
>>> If you change the font use for displaying ℝ and ≤, does the
>>> problem go away?
>> 
>> No: it seems to happen both in my heavily-customized Emacs and in
>> emacs -Q.
> 
> That doesn't necessarily answer my question, unless the font used to 
> display those two characters is different in "emacs -Q" and in your 
> customized session.

For ℝ, "emacs -Q" uses "Latin Modern Math" and "emacs" with customizations uses "XITS Math". 
For ≤, both use Ubuntu Mono.  I changed the default font and noticed slightly different glitches, including with a variable-pitch font multiple "!" disappearing.

> If that doesn't help, then the next question is: is this problem 
> specific to these two characters, or is it more general?

More investigation suggests that the problem only happens when both parts of the composition are not displayed with the same font.  For example, if I set my default font to Latin Modern Math, the problem goes away.

> If the latter, I suspect the shaping engine used in your case is the
> culprit, so perhaps upgrade your libotf, libm17n-flt, and m17n-db
> packages.  

Apt tells me these packages are up-to-date, but it might not be offering me the very-latest version:

$ apt show libotf0
Package: libotf0
Version: 0.9.13-3

$ apt show libm17n-0
Package: libm17n-0
Version: 1.7.0-3

$ apt show m17n-db
Package: m17n-db
Version: 1.7.0-2